# Manual Plugin Installation

## Plugin installation

The Server for Nx Witness, Nx Go and Nx Meta version 6.1.1 and newer are packaged with the Nx AI Manager Plugin, so a separate installation should not be necessary.

If your Nx Server installation does not come with the plugin, please refer to the [scripted installation](#scripted-installation) or [manual installation](#advanced-manual-installation).

The Nx Client does not need a separate installation of the plugin.

## Scripted installation

{% tabs %}
{% tab title="Nx Witness" %}
The default installation of Nx Witness comes with the plugin. A scripted installation is not provided.
{% endtab %}

{% tab title="Nx Go" %}
The default installation of Nx Go comes with the plugin. A scripted installation is not provided.
{% endtab %}

{% tab title="Nx Meta" %}
If your installation did not come with the Nx AI Plugin, you can install it yourself.

The manual installation works on Linux based systems with a single command line script.

{% hint style="info" %}
Installing the Nx AI Manager Plugin will restart the Nx Mediaserver. This should take a couple of seconds, and the client will reconnect automatically.
{% endhint %}

Open a terminal window on the device where you installed the Nx Mediaserver and execute the following command to install the Nx AI Manager plugin:

```bash
sudo bash -c "$(wget -q -O - https://artifactory.nxvms.dev/artifactory/nxai_open/NXAIPlugin/install.sh)"
```

This script will download the latest plugin and place it in the appropriate plugin folder.&#x20;

The installation will detect some features of the device and select the appropriate settings for installation. This should be sufficient for most users and devices, however it could be the case that some customization is desired, or that the automatic installation did not go well. In that case, you can manually install the Nx AI Manager.
{% endtab %}
{% endtabs %}

## Re-installation or Updates

If you want to update or re-install the Nx AI Manager Plugin you can safely re-run the same command.&#x20;

The old version of the plugin will be removed by the install script before the new version is installed.

Your settings will be stored and reused. You will still need to check the settings, because in some cases new options are available that require some changes. An example might be a new runtime that is available for your hardware.

## Advanced manual installation

The plugin can be downloaded from the following link for x86 devices:

{% embed url="<https://artifactory.nxvms.dev/artifactory/nxai_open/NXAIPlugin/release/libnxai_plugin.so>" %}
Plugin download link x86\_64
{% endembed %}

You can also download an aarch64 version of the plugin for ARM64 based devices:

{% embed url="<https://artifactory.nxvms.dev/artifactory/nxai_open/NXAIPlugin/release/libnxai_plugin_aarch64.so>" %}
Plugin download link aarch64
{% endembed %}

Once downloaded, copy the plugin file to the appropriate plugins folder.

{% tabs %}
{% tab title="Nx Witness Linux" %}

```bash
/opt/networkoptix/mediaserver/var/nx_ai_manager/libnxai_plugin.so
```

The folder and the plugin file should be named in this exact way. Rename the plugin file if necessary.

Make sure to give read and write permissions to the created directory so that the Nx AI Plugin can create the files it needs by running:

<pre class="language-bash"><code class="lang-bash"><strong>sudo chmod -R 777 /opt/networkoptix/mediaserver/var/nx_ai_manager
</strong></code></pre>

Once installed, the Nx Meta Server must be [restarted](/support-and-troubleshooting/troubleshooting/controlling-the-server-and-the-plugin.md) before the plugin is detected.&#x20;
{% endtab %}

{% tab title="Nx Go Linux" %}

```bash
/opt/networkoptix/mediaserver/var/nx_ai_manager/libnxai_plugin.so
```

The folder and the plugin file should be named in this exact way. Rename the plugin file if necessary.

Make sure to give read and write permissions to the created directory so that the Nx AI Plugin can create the files it needs by running:

<pre class="language-bash"><code class="lang-bash"><strong>sudo chmod -R 777 /opt/networkoptix/mediaserver/var/nx_ai_manager/
</strong></code></pre>

Once installed, the Nx Meta Server must be [restarted](/support-and-troubleshooting/troubleshooting/controlling-the-server-and-the-plugin.md) before the plugin is detected.&#x20;
{% endtab %}

{% tab title="Nx Meta Linux" %}

```bash
/opt/networkoptix-metavms/mediaserver/var/nx_ai_manager/libnxai_plugin.so
```

The folder and the plugin file should be named in this exact way. Rename the plugin file if necessary.

Make sure to give read and write permissions to the created directory so that the NX AI Plugin can create the files it needs by running:

<pre class="language-bash"><code class="lang-bash"><strong>sudo chmod -R 777 /opt/networkoptix-metavms/mediaserver/var/nx_ai_manager
</strong></code></pre>

Once installed, the Nx Meta Server must be [restarted](/support-and-troubleshooting/troubleshooting/controlling-the-server-and-the-plugin.md) before the plugin is detected.&#x20;
{% endtab %}

{% tab title="Windows" %}
On windows it is not possible to download the plugin separately at the moment.

The plugin is installed on windows in the following location.

```
C:\Program Files\Network Optix\Nx Witness\MediaServer\plugins\nx_ai_manager_plugin
```

Where your installed version of the MediaServer can be different for each variant of the Nx Client - like Nx Meta VMS

```
C:\Program Files\Network Optix\Nx Meta\MediaServer\plugins\nx_ai_manager_plugin
```

{% endtab %}
{% endtabs %}

#### Customized installation path

The install path can be customized for testing purposes and manually started to see output. However, the Nx AI Manager Plugin expects the Nx AI Manager to be installed in the same folder, and the Stop/Start commands from the Nx AI Manager Plugin UI will not work if the Nx AI Manager is installed somewhere else.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nx.docs.scailable.net/nx-ai-manager/advanced-configuration/manual-plugin-installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
